<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<?xml-stylesheet type="text/xsl" href="http://www.eclipse.org/projects/project-plan.xsl"?>
<plan plan-format="1.0" xmlns="http://www.eclipse.org/project/plan"
	xmlns:html="http://www.w3.org/1999/xhtml" name="Libra">
	<release projectid="webtools.libra" version="Luna" />
	<introduction>
		<html:div>
			<html:p>
				The Plug-in Development Environment project and Web Tools
				Platform project provide plenty of tools for OSGi development and
				Java EE development, respectively. Libra will provide the missing
				pieces that will bring the PDE and WTP tooling together for
				implementing OSGi Enterprise scenarios.
			</html:p>
		</html:div>
		<html:div>
			<html:p>
				The below project plan is an extension of the Web Tools Platform
				<html:a
					href="http://www.eclipse.org/projects/project-plan.php?projectid=webtools">top-level project plan</html:a>
				.
			</html:p>
		</html:div>
	</introduction>
	<release_deliverables>
		<html:div>
			<html:p>
				<html:ul>
					<html:li>WAR Products Tooling - originally developed to make the
						deployment of RAP applications easier, tooling itself is not RAP
						specific and can be used for deploying any Server-Side Equinox
						applications.
					</html:li>
					<html:li>OSGi Bundle Facet - links together the PDE and WTP
						tooling. It enable the WTP project wizards to create OSGi bundles
						projects, like Web Application Bundles and Persistence Bundles.
						It's the very first step towards providing OSGi tooling for
						enterprise applications.
					</html:li>
					<html:li>OSGi Framework Launchers - WTP server adapters for major
						open source OSGi frameworks like Equinox, Felix and Knopflerfish.
						All these server adapters can publish modules that have the OSGi
						Bundle facet.
					</html:li>
					<html:li>OSGi Framework Editors - WTP server editor parts with
						management capabilities for OSGi frameworks: Bundle Overview,
						Bundle Dependency Graph, Server Console. These editor parts are
						embedded in the OSGi Framework Launchers and can be embedded by
						adaopter's OSGi-based server adapters.
					</html:li>
				</html:ul>
			</html:p>
		</html:div>
	</release_deliverables>
	<themes_and_priorities>
		<preamble>
			<html:div></html:div>
		</preamble>
		<theme name="New Features">
			<description>
				<html:div>Integrate new contributions pending in the pipeline.
					Improve the ones from the previous release.
				</html:div>
			</description>
			<committed
				bugzilla="https://bugs.eclipse.org/bugs/buglist.cgi?keywords=plan&amp;keywords_type=allwords&amp;bug_severity=enhancement&amp;classification=WebTools&amp;query_format=advanced&amp;target_milestone=0.3+M1&amp;target_milestone=0.3+M2&amp;target_milestone=0.3+M3&amp;target_milestone=0.3+M4&amp;target_milestone=0.3+M5&amp;target_milestone=0.3+M6&amp;target_milestone=0.3+M7&amp;target_milestone=0.3+RC1&amp;target_milestone=0.3+RC2&amp;target_milestone=0.3+RC3&amp;target_milestone=0.3+RC4&amp;product=Libra" />
			<proposed
				bugzilla="https://bugs.eclipse.org/bugs/buglist.cgi?keywords=plan&amp;query_format=advanced&amp;keywords_type=allwords&amp;bug_severity=enhancement&amp;target_milestone=0.3&amp;product=Libra" />
			<deferred
				bugzilla="https://bugs.eclipse.org/bugs/buglist.cgi?keywords=plan&amp;keywords_type=allwords&amp;bug_severity=enhancement&amp;classification=WebTools&amp;query_format=advanced&amp;target_milestone=---&amp;product=Libra" />
		</theme>
	</themes_and_priorities>
</plan>
